/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista;

import controlador.ControladorFrmInicioSesion;
import controlador.ControladorFrmLista;
import controlador.ControladorFrmRecetas;
import controlador.ControladorFrmRegistro;
import controlador.ControladorInicio;
import javax.swing.JOptionPane;
import modelo.ArrayRecipes;
import modelo.ArrayUsers;

/**
 *
 * @author Ashley
 */
public class FrmInicio extends javax.swing.JFrame {

    private ControladorFrmInicioSesion ctrInicioSecion;
    private ControladorFrmLista ctrLista;
    private ControladorFrmRecetas ctrRecetas;
    private ControladorFrmRegistro ctrRegistro;
    private ControladorInicio controladorInicio;
    private FrmInicioSesion frmInicioSesion;
    private FrmListaRecetas frmLista;
    private FrmRegistro frmRegistro;
    private FrmRecetas frmRecetas;
    private ArrayUsers arrayUser;
    private ArrayRecipes arrayRecipes;
    private FrmReporteUsuarios frmTablaUsuarios;
    private FrmReporteRecetas frmTablaRecetas;

    /**
     * Creates new form frmStartPage
     */
    public FrmInicio() {
        frmTablaUsuarios = new FrmReporteUsuarios();
        frmTablaRecetas = new FrmReporteRecetas();
        arrayUser = new ArrayUsers();
        arrayRecipes = new ArrayRecipes();
        frmInicioSesion = new FrmInicioSesion();
        frmLista = new FrmListaRecetas();
        frmRegistro = new FrmRegistro();
        frmRecetas = new FrmRecetas();
        ctrRegistro = new ControladorFrmRegistro(this, frmInicioSesion, frmLista, frmRegistro, frmRecetas);
        ctrRecetas = new ControladorFrmRecetas(this, frmInicioSesion, frmLista, frmRegistro, frmRecetas, arrayRecipes, arrayUser, frmTablaUsuarios, frmTablaRecetas);
        ctrLista = new ControladorFrmLista(this, frmInicioSesion, frmLista, frmRegistro, frmRecetas, arrayRecipes, arrayUser, frmTablaUsuarios, frmTablaRecetas);
        controladorInicio = new ControladorInicio(this, frmInicioSesion, frmLista, frmRegistro, frmRecetas, frmTablaUsuarios, frmTablaRecetas, arrayUser, arrayRecipes);
        ctrInicioSecion = new ControladorFrmInicioSesion(this, frmInicioSesion, frmLista, frmRegistro, frmRecetas, arrayUser,controladorInicio,ctrLista,ctrRecetas,ctrRegistro);
        frmRegistro.escuchar(ctrRegistro);
        frmRecetas.escuchar(ctrRecetas);
        frmLista.escuchar(ctrLista);
        frmInicioSesion.escuchar(ctrInicioSecion);
        initComponents();
        escuchar(controladorInicio);
        setLocationRelativeTo(null);
        setVisible(true);
    }//Fin constructor

    public void escuchar(ControladorInicio controladorInicio) {
        jmiInicioSesion.addActionListener(controladorInicio);
        jmiRegistro.addActionListener(controladorInicio);
        jmiLista.addActionListener(controladorInicio);
        jMenuItemTablaRecetas.addActionListener(controladorInicio);
        jMenuItemTablaUsuarios.addActionListener(controladorInicio);
        jmiManipularReceta.addActionListener(controladorInicio);
        jMenuItemSalir.addActionListener(controladorInicio);
    }//Fin escuchar

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuItem1 = new javax.swing.JMenuItem();
        jlFondo = new javax.swing.JLabel();
        jmbMenu = new javax.swing.JMenuBar();
        jmUsuario = new javax.swing.JMenu();
        jmiInicioSesion = new javax.swing.JMenuItem();
        jmiRegistro = new javax.swing.JMenuItem();
        jmRecetas = new javax.swing.JMenu();
        jMenuItemTablaUsuarios = new javax.swing.JMenuItem();
        jMenuItemTablaRecetas = new javax.swing.JMenuItem();
        jmiLista = new javax.swing.JMenuItem();
        jmiManipularReceta = new javax.swing.JMenuItem();
        jMenuItemSalir = new javax.swing.JMenuItem();

        jMenuItem1.setText("jMenuItem1");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMinimumSize(new java.awt.Dimension(1366, 768));
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jlFondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/Inicio.png"))); // NOI18N
        getContentPane().add(jlFondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        jmbMenu.setForeground(new java.awt.Color(255, 255, 255));

        jmUsuario.setText("Users");

        jmiInicioSesion.setText("Sign In");
        jmiInicioSesion.setActionCommand("iniciarSesion");
        jmiInicioSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmiInicioSesionActionPerformed(evt);
            }
        });
        jmUsuario.add(jmiInicioSesion);

        jmiRegistro.setText("Sign Up");
        jmiRegistro.setActionCommand("registrarse");
        jmUsuario.add(jmiRegistro);

        jmbMenu.add(jmUsuario);

        jmRecetas.setText("Recipes");

        jMenuItemTablaUsuarios.setText("Tabla Usuarios");
        jMenuItemTablaUsuarios.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemTablaUsuariosActionPerformed(evt);
            }
        });
        jmRecetas.add(jMenuItemTablaUsuarios);

        jMenuItemTablaRecetas.setText("Tabla Recetas");
        jmRecetas.add(jMenuItemTablaRecetas);

        jmiLista.setText("Lista de Recetas");
        jmiLista.setActionCommand("lista");
        jmRecetas.add(jmiLista);

        jmiManipularReceta.setText("Agregar, eliminar, modificar o eliminar receta");
        jmiManipularReceta.setActionCommand("manipularReceta");
        jmRecetas.add(jmiManipularReceta);

        jMenuItemSalir.setText("Salir");
        jMenuItemSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemSalirActionPerformed(evt);
            }
        });
        jmRecetas.add(jMenuItemSalir);

        jmbMenu.add(jmRecetas);

        setJMenuBar(jmbMenu);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jmiInicioSesionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmiInicioSesionActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jmiInicioSesionActionPerformed

    private void jMenuItemTablaUsuariosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemTablaUsuariosActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jMenuItemTablaUsuariosActionPerformed

    private void jMenuItemSalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemSalirActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jMenuItemSalirActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItemSalir;
    private javax.swing.JMenuItem jMenuItemTablaRecetas;
    private javax.swing.JMenuItem jMenuItemTablaUsuarios;
    private javax.swing.JLabel jlFondo;
    private javax.swing.JMenu jmRecetas;
    private javax.swing.JMenu jmUsuario;
    private javax.swing.JMenuBar jmbMenu;
    private javax.swing.JMenuItem jmiInicioSesion;
    private javax.swing.JMenuItem jmiLista;
    private javax.swing.JMenuItem jmiManipularReceta;
    private javax.swing.JMenuItem jmiRegistro;
    // End of variables declaration//GEN-END:variables
}//Fin clase
